package SwitchToCustomDataParam;

import java.sql.*;
import quadbase.reportdesigner.util.*;

public class ProductParamInfo implements IParameterizedDataSource {

       public IQueryInParam[] getParameters() {

              SimpleQueryInParam[] params = new SimpleQueryInParam[1];

              params[0] = new SimpleQueryInParam("param", "Enter Param:", false, null, null, Types.INTEGER, new Integer(10), null);

              return params;
       }

       public IResultSet getResultSet(IQueryInParam[] params) {

              QueryResultSet data = null;

              ResultSet rs = null;

              int paramValue = 10;

              if ((params != null) && (params.length >= 1)) {

                     Object obj = params[0].getValue();

                     if ((obj != null) && (obj instanceof Integer)) {

                            paramValue = ((Integer)obj).intValue();
                     }
              }

              String myQuery = "select * from Products where productid < " + paramValue;

              try {

                     Class.forName("org.hsqldb.jdbcDriver");

                     String url = "jdbc:hsqldb:woodview";

                     Connection conn = DriverManager.getConnection(url,"sa","");

                     Statement stmt = conn.createStatement();
                     
                     rs = stmt.executeQuery(myQuery);

                     data = new QueryResultSet(rs);

              } catch (Exception ex) {

                      ex.printStackTrace();

              }

              return data;

        }


}
